Support

Akeeba Backup for Joomla!

#36803 Uninstall old Akeeba Version

Posted in ‘Akeeba Backup for Joomla!’
This is a public ticket

Everybody will be able to see its contents. Do not include usernames, passwords or any other sensitive information.

Environment Information

Joomla! version
n/a
PHP version
n/a
Akeeba Backup version
n/a

designbengel

Hi!

I updated a website from Joomla 3.9.x to 4.1 and now when I try to uninstall Akeeba 7.0.2 it shows me following error:

You need Joomla! 4.0.99 or earlier to install this extension

Extension Uninstall: Custom install routine failure. info Error uninstalling component.     How can I uninstall it?   thanks,   Elisa        

 

 

Attachments

Bildschirmfoto_2022-03-18_um_12.39.21.png

tampe125
Akeeba Staff

Hello Elisa!

simply update to the latest version of Akeeba Backup, it's the only one compatible with Joomla 4.1, there's no need to uninstall. If you really have to uninstall it, first update and then uninstall it. 

All other versions have a check to not run under Joomla 4.1 since they were not tested against it and there could be issues.

Davide Tampellini

Developer and Support Staff

🇮🇹Italian: native 🇬🇧English: good • 🕐 My time zone is Europe / Rome (UTC +1)
Please keep in mind my timezone and cultural differences when reading my replies. Thank you!

nicholas
Akeeba Staff
Manager

Hi Elisa!

Something does not sound right here.

You cannot upgrade from Joomla 3.9 to 4. You would have to first upgrade to Joomla 3.10.

Moreover, Akeeba Backup 7.0.2 was released well over 2 years ago. It was never compatible with Joomla 4 stable, it was only compatible with some early alphas and betas.

So, first, verify your versions.

If the versions are correct we'll have to do it the Hard Way™.

First, delete the files:

  • administrator/manifests/cache/akeeba/script.akeeba.php
  • administrator/manifests/files/file_fof30/script.fof.php
  • administrator/manifests/files/file_fef/script.fof.php
  • administrator/components/com_akeeba/script.com_akeeba.php
  • plugins/installer/akeebabackup/script.php

These are Joomla's cached copies of the installation scripts for the old Akeeba Backup package, the old Akeeba Backup component and the defunct installer plugin which will be removed from your site. These prevent the uninstallation.

Uninstall the Akeeba Backup package, version 7.0.2.

Delete the tables:

  • #__ak_profiles
  • #__ak_stats
  • #__ak_storage

They are left behind because we removed the installation script from the component, therefore it doesn't know which tables to drop on extension uninstallation.

Uninstall FOF 3.

Uninstall FEF.

Since we removed their installation scripts they will uninstall without checking for dependencies or the Joomla version.

Finally, install Akeeba Backup 9 again, twice in a row, without uninstalling before or in between. This makes sure that any errant plugin removal will be undone and AB9 will be back in working order.

Nicholas K. Dionysopoulos

Lead Developer and Director

🇬🇷Greek: native 🇬🇧English: excellent 🇫🇷French: basic • 🕐 My time zone is Europe / Athens
Please keep in mind my timezone and cultural differences when reading my replies. Thank you!

designbengel

Hi Nic!

thank you, yes the versions I said before were right. I know it sounds a bit odd. Someone approached me with his 3.9.x and asked me to upgrade, I simply forgot to update to 3.10 first and "Joomla Next" offered me directly the step to 4.1 - Now I know why my backend seemed to be broken in the first moment after that.

I clicked then on reinstall Core Files and everything was ok. Just not the two Versions of Akeeba :-D

So I will follow your recommendations to remove it from the Database and the folders and reinstall it. Thanks for the hints.

Elisa

 

nicholas
Akeeba Staff
Manager

Holly cow, Joomla upgraded from 3.9 to 4.1?! 😵 I would file that as an issue in the Joomla issue tracker. This is not a supported upgrade path. It should be forbidden.

Please let me know if the Very Hard Way™ method works. It's based on my notes about the untested scenario of ‘what if something impossible happens’. We are quite used to dealing with “impossible” issues as it turns out...

Nicholas K. Dionysopoulos

Lead Developer and Director

🇬🇷Greek: native 🇬🇧English: excellent 🇫🇷French: basic • 🕐 My time zone is Europe / Athens
Please keep in mind my timezone and cultural differences when reading my replies. Thank you!

designbengel

I think I will redo the whole process to reproduce so I can file it as an issue on GH :-) But yes - I am quite sure it was an upgrade from 3.9 to 4.1 on the highway :-D

The Very Hard Way™ Method worked very good thank you. I identified two other script.php I needed to delete, the backup on update in plugins and the path for administrator/manifests/cache/akeeba/script.akeeba.php was administrator/manifests/cache/packages/akeeba/script.akeeba.php

Thanks again for your exzellent, fast and professional support!

nicholas
Akeeba Staff
Manager

Oops! Thanks for spotting my typo!

Have a great weekend :)

Nicholas K. Dionysopoulos

Lead Developer and Director

🇬🇷Greek: native 🇬🇧English: excellent 🇫🇷French: basic • 🕐 My time zone is Europe / Athens
Please keep in mind my timezone and cultural differences when reading my replies. Thank you!

designbengel

I just mentioned it in case you need to recommend the method again :-) Have a great weekend too and thanks for your help!

Support Information

Working hours: Typically we work Monday to Friday, 9am to 7pm Cyprus timezone (EEST). Support is provided by the same developers writing the software, all of which live in Europe. You can still file tickets, but we cannot respond to them, outside of our working hours.

Support policy: We would like to kindly inform you that when using our support you have already agreed to the Support Policy which is part of our Terms of Service. Thank you for your understanding and for helping us help you!

Summer vacations: Our support will be closed for replies and new tickets from August 6th to August 21st, 2022 due to summer vacations.